"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-11.0-arm64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x1041b6ac0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x1041b6b60>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1041b6c00>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1041b6ca0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x1041b6d40>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x1041b6de0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1041b6e80>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1041b6f20>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1041b6fc0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1041b7060>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x1041b7100>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x1041b71a0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x1041b7240>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x1041b72e0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x1041b7380>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x1041b7420>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x1041b74c0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x1041b7560>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x1041b7600>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x1041b76a0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x1041b7740>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x1041b77e0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x1041b7880>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x1041b7920>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x1041b79c0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x1041b7a60>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x1041b7b00>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x1041b7ba0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x1041b7c40>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x1041b7ce0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x1041b7d80>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x1041b7e20>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x1041b7ec0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x1041b7f60>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x104200040>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x1042000e0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x104200180>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x104200220>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1042002c0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x104200360>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x104200400>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x1042004a0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x104200540>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x1042005e0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x104200680>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x104200720>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x1042007c0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x104200860>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x104200900>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x1042009a0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x104200a40>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x104200ae0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x104200b80>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x104200c20>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x104200cc0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x104200d60>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x104200e00>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x104200ea0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x104200f40>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x104200fe0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x104201080>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x104201120>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x1042011c0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x104201260>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x104201300>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x1042013a0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x104201440>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x1042014e0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x104201580>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x104201620>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x1042016c0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x104201760>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x104201800>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x1042018a0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x104201940>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x1042019e0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x104201a80>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x104201b20>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x104201bc0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x104201c60>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x104201da0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x104201d00>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x104201e40>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x104201ee0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x104201f80>)]
name: str = 'fr_HOCCN'
